DefaultTransportServiceDescriptor (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.service.DefaultTransportServiceDescriptor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.service
Class DefaultTransportServiceDescriptor

    java.lang.Object
      org.mule.api.registry.AbstractServiceDescriptor
          org.mule.transport.service.DefaultTransportServiceDescriptor

All Implemented Interfaces:
  ServiceDescriptor, TransportServiceDescriptor

    public class DefaultTransportServiceDescriptor

extends AbstractServiceDescriptor
implements TransportServiceDescriptor

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.api.registry.AbstractServiceDescriptor
`AbstractServiceDescriptor.Key`

Field Summary

Fields inherited from class org.mule.api.registry.AbstractServiceDescriptor
`logger, service`

Fields inherited from interface org.mule.transport.service.TransportServiceDescriptor
`OSGI_HEADER_TRANSPORT`

Constructor Summary
`DefaultTransportServiceDescriptor(String service, Properties props, Registry registry, ClassLoader classLoader)`

Method Summary
`Connector` | `createConnector()`
`MessageDispatcherFactory` | `createDispatcherFactory()`
`EndpointURIBuilder` | `createEndpointBuilder()`
`List` | `createInboundTransformers()`
`MessageAdapter` | `createMessageAdapter(Object message)`
`protected MessageAdapter` | `createMessageAdapter(Object message, String clazz)`
`MessageReceiver` | `createMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint)`
`MessageReceiver` | `createMessageReceiver(Connector connector, Service service, InboundEndpoint endpoint, Object[] args)`
`List` | `createOutboundTransformers()`
`MessageRequesterFactory` | `createRequesterFactory()`
`List` | `createResponseTransformers()`
`SessionHandler` | `createSessionHandler()`
`TransactionFactory` | `createTransactionFactory()`
`Properties` | `getExceptionMappings()`
`void` | `setExceptionMappings(Properties props)`
`void` | `setOverrides(Properties props)`

Methods inherited from class org.mule.api.registry.AbstractServiceDescriptor
`getService, removeClassProperty, removeProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.registry.ServiceDescriptor
`getService`

Constructor Detail

### DefaultTransportServiceDescriptor

    public DefaultTransportServiceDescriptor(String service,
                                             Properties props,
                                             Registry registry,
                                             ClassLoader classLoader)

Method Detail

### setOverrides

    public void setOverrides(Properties props)

### createMessageAdapter

    public MessageAdapter createMessageAdapter(Object message)
                                        throws TransportServiceException

  Specified by:
    `createMessageAdapter` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createMessageAdapter

    protected MessageAdapter createMessageAdapter(Object message,
                                                  String clazz)
                                           throws TransportServiceException

  Throws:
    `TransportServiceException`

### createSessionHandler

    public SessionHandler createSessionHandler()
                                        throws TransportServiceException

  Specified by:
    `createSessionHandler` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createMessageReceiver

    public MessageReceiver createMessageReceiver(Connector connector,
                                                 Service service,
                                                 InboundEndpoint endpoint)
                                          throws MuleException

  Specified by:
    `createMessageReceiver` in interface `TransportServiceDescriptor`
  Throws:
    `MuleException`

### createMessageReceiver

    public MessageReceiver createMessageReceiver(Connector connector,
                                                 Service service,
                                                 InboundEndpoint endpoint,
                                                 Object[] args)
                                          throws MuleException

  Specified by:
    `createMessageReceiver` in interface `TransportServiceDescriptor`
  Throws:
    `MuleException`

### createDispatcherFactory

    public MessageDispatcherFactory createDispatcherFactory()
                                                     throws TransportServiceException

  Specified by:
    `createDispatcherFactory` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createRequesterFactory

    public MessageRequesterFactory createRequesterFactory()
                                                   throws TransportServiceException

  Specified by:
    `createRequesterFactory` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createTransactionFactory

    public TransactionFactory createTransactionFactory()
                                                throws TransportServiceException

  Specified by:
    `createTransactionFactory` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createConnector

    public Connector createConnector()
                              throws TransportServiceException

  Specified by:
    `createConnector` in interface `TransportServiceDescriptor`
  Throws:
    `TransportServiceException`

### createInboundTransformers

    public List createInboundTransformers()
                                   throws TransportFactoryException

  Specified by:
    `createInboundTransformers` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### createOutboundTransformers

    public List createOutboundTransformers()
                                    throws TransportFactoryException

  Specified by:
    `createOutboundTransformers` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### createResponseTransformers

    public List createResponseTransformers()
                                    throws TransportFactoryException

  Specified by:
    `createResponseTransformers` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### createEndpointBuilder

    public EndpointURIBuilder createEndpointBuilder()
                                             throws TransportFactoryException

  Specified by:
    `createEndpointBuilder` in interface `TransportServiceDescriptor`
  Throws:
    `TransportFactoryException`

### setExceptionMappings

    public void setExceptionMappings(Properties props)

  Specified by:
    `setExceptionMappings` in interface `TransportServiceDescriptor`

### getExceptionMappings

    public Properties getExceptionMappings()

  Specified by:
    `getExceptionMappings` in interface `TransportServiceDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.